#define PC_NUM 198135
#define PC_VBONUM 2
#define PC_DEATHTIME 3.0
#define PC_REBORN 1
#define PC_NOREBORN 0

/* Every point cloud came from the origo */
typedef struct _PointCloud {
   GLuint vao;
   GLuint *vbo;
   int pcnum;
   float *birth;
   float *percentages;
   float *destiny; /* every point, all coorinates */
   float *rand;
}PointCloud;

PointCloud createPC(int numofpc, double time);
void freePC(PointCloud pc);

void updatePC(PointCloud pc, double time, int reborn);
void drawPC(PointCloud pc);
void changeDestiny(PointCloud pc, double param1, double param2);
